-- Ruchome ciegna By Fumski
-- 15/05/2011
-- Kompatybilne z MP

Ciegna = {};

function Ciegna.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Ciegna:load(xmlFile)

	-- Ciegna --
	
	self.Hydr_Rot = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.RotPoint#index"));
	self.Hydr_Top = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.Top#index"));
	self.Hydr_Middle = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.Middle#index"));

end;

function Ciegna:delete()
end;

function Ciegna:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Ciegna:keyEvent(unicode, sym, modifier, isDown)
end;

function Ciegna:update(dt)
end;

function Ciegna:updateTick(dt)

	   -- Ciegna --

	   self.Hydr_Rotation = getRotation(self.Hydr_Rot)
       setRotation(self.Hydr_Top,self.Hydr_Rotation ,0 ,0);
       setRotation(self.Hydr_Middle,-(self.Hydr_Rotation /1.38) ,0 ,0);
	   
end;

function Ciegna:draw()
end;